Get an observation by ID
get
/Observation/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual observation by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : Observation
Type:
objectA measurement, assertion, or grouped result about a patient.
Show Source
-
category(required): array
category
The observation classification.
-
code(required): object
CodeableConcept
-
component: array
component
The component results.
-
dataAbsentReason: object
CodeableConcept
-
derivedFrom: array
derivedFrom
The related source observations.
-
effectiveDateTime:
effectiveDateTime
The clinically relevant time for the observation.
-
effectivePeriod: object
PeriodForObservation
-
hasMember: array
hasMember
The member observations.
-
id(required): string
The logical ID of the observation.
-
interpretation: array
interpretation
The interpretation of the result.
-
issued: string
(date-time)
The time the version became available.
-
meta: object
meta
-
performer: array
performer
The responsible practitioners.
-
referenceRange: array
referenceRange
The reference ranges for the result.
-
resourceType(required): string
Allowed Values:
[ "Observation" ] -
specimen: object
ReferenceForObservation
-
status(required): string
Allowed Values:
[ "registered", "preliminary", "final", "amended", "corrected", "cancelled", "entered-in-error", "unknown" ]The observation status. -
subject(required): object
ReferenceForObservation
-
text: object
Narrative
-
valueCodeableConcept: object
CodeableConcept
-
valueDateTime: string
(date-time)
The date and time result.
-
valueQuantity: object
Quantity
-
valueString: string
The string result.
-
valueTime: string
The time result.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : effectiveDateTime
The clinically relevant time for the observation.
Match One Schema
Show Source
Nested Schema : meta
Type:
Show Source
object-
lastUpdated: string
(date-time)
The last update time.
-
security: array
security
-
versionId: string
The version-specific identifier.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ComponentForObservation
Type:
Show Source
object-
code(required): object
CodeableConcept
-
dataAbsentReason: object
CodeableConcept
-
interpretation: array
interpretation
-
referenceRange: array
referenceRange
-
valueCodeableConcept: object
CodeableConcept
-
valueDateTime: string
(date-time)
-
valueQuantity: object
Quantity
-
valueString: string
-
valueTime: string
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source